> ## Documentation Index
> Fetch the complete documentation index at: https://swish.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List all orders

> Returns all orders as a paginated response



## OpenAPI

````yaml https://swish.app/api/2026-07/.well-known/openapi get /orders
openapi: 3.0.0
info:
  title: Swish API
  description: >-
    The Swish API provides endpoints for managing profiles, lists, items,
    subscriptions, notifications, orders, etc. All endpoints require
    authentication using a Bearer token. Responses follow a consistent structure
    with a `data` wrapper for successful responses and standardized error
    formats.
  version: 2026-07
  contact: {}
servers:
  - url: https://swish.app/api/2026-07
security: []
tags: []
paths:
  /orders:
    get:
      tags:
        - Orders
      summary: List all orders
      description: Returns all orders as a paginated response
      operationId: OrdersController_find
      parameters:
        - name: page
          required: false
          in: query
          description: Pagination cursor for next or previous page
          schema:
            example: eyJuZXh0IjoiZ2lkOi8vc2hvcGlmeS9PcmRlci8xMjM0NTY3ODkifQ==
            type: string
        - name: limit
          required: false
          in: query
          description: Number of orders to return per page
          schema:
            minimum: 1
            maximum: 100
            default: 20
            example: 20
            type: number
      responses:
        '200':
          description: Returns all orders as paginated response
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/PaginatedResponse'
                  - properties:
                      data:
                        type: array
                        items:
                          $ref: '#/components/schemas/Order'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ErrorResponse'
                  - properties:
                      error:
                        allOf:
                          - $ref: '#/components/schemas/Error'
                          - properties:
                              message:
                                type: string
                                example: Validation failed
                              error:
                                type: string
                                example: Bad Request
                              statusCode:
                                type: number
                                example: 400
                              requestId:
                                type: string
                                example: 123e4567-e89b-12d3-a456-426614174000
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ErrorResponse'
                  - properties:
                      error:
                        allOf:
                          - $ref: '#/components/schemas/Error'
                          - properties:
                              message:
                                type: string
                                example: Failed to authenticate request
                              error:
                                type: string
                                example: Unauthorized
                              statusCode:
                                type: number
                                example: 401
                              requestId:
                                type: string
                                example: 123e4567-e89b-12d3-a456-426614174000
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ErrorResponse'
                  - properties:
                      error:
                        allOf:
                          - $ref: '#/components/schemas/Error'
                          - properties:
                              message:
                                type: string
                                example: >-
                                  You do not have permission to access this
                                  resource
                              error:
                                type: string
                                example: Forbidden
                              statusCode:
                                type: number
                                example: 403
                              requestId:
                                type: string
                                example: 123e4567-e89b-12d3-a456-426614174000
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ErrorResponse'
                  - properties:
                      error:
                        allOf:
                          - $ref: '#/components/schemas/Error'
                          - properties:
                              message:
                                type: string
                                example: The requested resource was not found
                              error:
                                type: string
                                example: Not Found
                              statusCode:
                                type: number
                                example: 404
                              requestId:
                                type: string
                                example: 123e4567-e89b-12d3-a456-426614174000
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ErrorResponse'
                  - properties:
                      error:
                        allOf:
                          - $ref: '#/components/schemas/Error'
                          - properties:
                              message:
                                type: string
                                example: An unexpected error occurred
                              error:
                                type: string
                                example: Internal Server Error
                              statusCode:
                                type: number
                                example: 500
                              requestId:
                                type: string
                                example: 123e4567-e89b-12d3-a456-426614174000
      security:
        - Swish API key: []
        - bearer: []
components:
  schemas:
    PaginatedResponse:
      type: object
      properties:
        data:
          type: object
          description: Response data
        pageInfo:
          $ref: '#/components/schemas/PageInfo'
      required:
        - data
        - pageInfo
    Order:
      type: object
      properties:
        id:
          type: string
          description: The order ID
          example: gid://shopify/Order/4568392
        name:
          type: string
          description: The order number
          example: '#4568392'
        processedAt:
          type: string
          description: The date and time when the order was processed
          example: '2024-11-03T10:00:00Z'
        displayStatus:
          type: string
          description: Human-readable display status
          example: FULFILLED
          enum:
            - FULFILLED
            - IN_PROGRESS
            - PARTIALLY_FULFILLED
            - UNFULFILLED
        totalQuantity:
          type: number
          description: The total quantity of items in the order
          example: 5
        totalPrice:
          description: The total price of the order
          allOf:
            - $ref: '#/components/schemas/Money'
        previewImages:
          description: Preview images from the order line items
          type: array
          items:
            $ref: '#/components/schemas/PreviewImage'
      required:
        - id
        - name
        - processedAt
        - displayStatus
        - totalQuantity
        - totalPrice
        - previewImages
    ErrorResponse:
      type: object
      properties:
        error:
          description: Error details
          allOf:
            - $ref: '#/components/schemas/Error'
      required:
        - error
    Error:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Something went wrong
        error:
          type: string
          description: The error type
          example: Not Found
        statusCode:
          type: number
          description: The HTTP status code of the error
          example: 404
        requestId:
          type: string
          description: The ID of the request that caused the error
          example: 123e4567-e89b-12d3-a456-426614174000
      required:
        - message
        - error
        - statusCode
        - requestId
    PageInfo:
      type: object
      properties:
        next:
          type: string
          description: The cursor for the next page
          example: YWZ0ZXI6NjdhNjFkNTU2MWU0ZjlkZTMwMmMwMmEx
          nullable: true
        previous:
          type: string
          description: The cursor for the previous page
          example: YmVmb3JlOjY3YTYxZDU1NjFlNGY5ZGUzMDJjMDJhMQ==
          nullable: true
        totalCount:
          type: number
          description: The total number of items across all pages
          example: 150
      required:
        - next
        - previous
        - totalCount
    Money:
      type: object
      properties:
        currencyCode:
          type: string
          description: The currency code
          example: AUD
        amount:
          type: number
          description: The amount
          example: 100
      required:
        - currencyCode
        - amount
    PreviewImage:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the image
          example: gid://shopify/ProductImage/123456789
        altText:
          type: string
          description: Alt text for the image
          example: Product image
        url:
          type: string
          description: URL of the image
          example: https://cdn.shopify.com/image1.jpg
        thumbhash:
          type: string
          description: Thumbhash for the image
          example: 1QcSHQRnh493V4dIh4eXh1h4kJUI
      required:
        - id
        - altText
        - url
        - thumbhash
  securitySchemes:
    Swish API key:
      scheme: Bearer
      bearerFormat: JWT
      type: http
      description: Enter your JWT token

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.